In today’s modern browser, you don’t need to worry about the compatibility of CSS. The opacity property is now supported natively by most modern browsers

.selector {
	opacity: 0.6;
}

However, lot of people and business still uses old browsers like internet explorer 7 and 8 pre-installed in Windows XP, Vista, and 7 systems, which you need to patch and handle cross-browser compatible CSS in order to maintain the appearance of your website.

These patch will work in old and modern browsers.

.selector {
	/* IE 5-7 */
	filter: alpha(opacity=60);

	/* IE 8 */
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=60)";

	/* Old Firefox and Netscape */
	-moz-opacity: 0.6;

	/* Safari 1.x */
	-khtml-opacity: 0.6;

	/* Modern browsers */
	opacity: 0.6;
}